Page MenuHomePhabricator

Investigate and test "statement traversal" for depicts search
Closed, ResolvedPublic

Description

Explore statement traversal, which will allow the Structured Data search system to find things like media tagged *only* with "German shepherd" in searches for "dog"

Event Timeline

Restricted Application added projects: Wikidata, Multimedia. · View Herald TranscriptJun 26 2018, 8:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ramsey-WMF triaged this task as High priority.Jun 26 2018, 8:54 PM
Ramsey-WMF removed a project: Wikidata.
Ramsey-WMF moved this task from To Do to Doing on the Multimedia-Team-Working-Board board.
Abit added a comment.Jun 28 2018, 2:07 PM

A statement traversal issue:
When I search for media of "woman", most media including notable women such as Michelle Obama won't be returned. The depicts statements on those images will usually link to the actual person, who are stated as "instance of: human" and "gender: female". Same applies when searching for man, girl, boy, cyclist, painter, etc.

Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Jul 2 2018, 7:03 PM
Cparle added a comment.EditedJul 13 2018, 11:34 AM

OK the general case of statement traversal at index time is not going to work - see T199119

Change 451028 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Work in progress

https://gerrit.wikimedia.org/r/451028

Change 451625 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/Wikibase@master] Make statement qualifier enclosing characters accessible

https://gerrit.wikimedia.org/r/451625

Change 451625 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Make statement qualifier enclosing characters accessible

https://gerrit.wikimedia.org/r/451625

Ramsey-WMF changed the task status from Open to Stalled.Nov 8 2018, 11:57 PM
Ramsey-WMF lowered the priority of this task from High to Normal.
Ramsey-WMF moved this task from Doing to Blocked on the Multimedia-Team-Working-Board board.
Ramsey-WMF closed this task as Resolved.Mar 8 2019, 2:49 AM

Investigated and concluded traversal for search isn't reasonable with current state of Wikidata hierarchy.

AVRS added a subscriber: AVRS.Aug 26 2019, 9:26 PM